Bug 839709 - checkisomd5 should return 0 if the check is aborted
checkisomd5 should return 0 if the check is aborted
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: isomd5sum (Show other bugs)
19
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 839632
  Show dependency treegraph
 
Reported: 2012-07-12 11:36 EDT by Mike Burns
Modified: 2014-01-10 11:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 11:55:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2012-07-12 11:36:22 EDT
Description of problem:
In cases where a user manually aborts an image check, the checkisomd5 returns 1.  With a recent dracut change, this now causes dracut errors and eventually a panic and failure to boot.  

AFAICT, anything that is not a PASS returns 1.  

dracut bug:  https://bugzilla.redhat.com/show_bug.cgi?id=817419

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.take any iso file
2.run checkisomd5 on the iso
3.abort the run
4.echo $?
  
Actual results:
returns 1, a failure code

Expected results:
returns 0, a successful finish


Additional info:
Comment 1 Andre Robatino 2013-02-04 14:59:15 EST
See also bug 907600 (request for an additional return value for UNKNOWN). These two bugs should be dealt with at the same time.
Comment 2 Fedora End Of Life 2013-07-04 01:21:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Mike Burns 2013-07-08 08:53:52 EDT
move this to F19
Comment 4 Brian Lane 2014-01-10 11:55:28 EST
The fix for bug 907600 took care of this by adding 2 for aborted.

Note You need to log in before you can comment on or make changes to this bug.